server {
    listen 80;
    server_name _;

    client_max_body_size 10M;

    root /var/www/web;
    index index.php;

    location / {
        try_files $uri $uri/ /index.php?$query_string;
    }

    location ~ \.php$ {
        include fastcgi_params;
        fastcgi_param SCRIPT_FILENAME $document_root$fastcgi_script_name;
        fastcgi_pass php:9000;
    }

    location ~* \.mjs$ {
        default_type application/javascript;
        try_files $uri =404;
        expires 30d;
        access_log off;
    }

    location ~* \.(css|js|png|jpg|jpeg|gif|svg|ico)$ {
        expires 30d;
        access_log off;
    }
}
